Bug 1140354 - Installing python-gofer-qpid-1.3.0-1.el5 fails saying it is missing python-qpid
Summary: Installing python-gofer-qpid-1.3.0-1.el5 fails saying it is missing python-qpid
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: Master
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 2.6.0
Assignee: Chris Duryee
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-10 18:03 UTC by Brian Bouterse
Modified: 2015-02-28 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:19:06 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 517 0 None None None Never

Description Brian Bouterse 2014-09-10 18:03:50 UTC
The Qpid bits are missing from EL5. <sad face>

If you install pulp-consumer-qpid, it will try to install python-gofer-qpid-1.3.0-1.el5.noarch which requires python-qpid >= 0.18.

This means RHEL5 or CentOS users who want to run Pulp will have to build from source or subscribe to MRG. Maybe that is ok?

Another option is to:

We could solve it the same way we did on EL6. The Qpid team provides the SRPMS to Justin, who builds them in Koji. It should be easy because they already compile on MRG for EL5. Pulp then tags those NVRs using the json file in the deps folder.

Comment 1 Chris Duryee 2014-10-07 20:35:38 UTC
https://github.com/pulp/pulp/pull/1211

Comment 2 Chris Duryee 2014-10-08 11:32:49 UTC
merged to 2.5-dev and master

Comment 3 Chris Duryee 2014-12-23 20:52:24 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 4 Brian Bouterse 2015-02-28 22:19:06 UTC
Moved to https://pulp.plan.io/issues/517


Note You need to log in before you can comment on or make changes to this bug.